Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAny Interface Reference

Inheritance diagram for DynamicAny::DynAny

[legend]
List of all members.

## Public Methods
CORBA::TypeCode | type ()
void | assign ( in DynAny dyn_any) raises (TypeMismatch)
void | from_any ( in any value) raises (TypeMismatch, InvalidValue)
any | to_any ()
boolean | equal ( in DynAny dyn_any)
void | destroy ()
DynAny | copy ()
void | insert_boolean (in boolean value) raises (TypeMismatch, InvalidValue)
void | insert_octet ( in octet value) raises (TypeMismatch, InvalidValue)
void | insert_char ( in char value) raises (TypeMismatch, InvalidValue)
void | insert_short ( in short value) raises (TypeMismatch, InvalidValue)
void | insert_ushort ( in unsigned short value) raises (TypeMismatch, InvalidValue)
void | insert_long ( in long value) raises (TypeMismatch, InvalidValue)
void | insert_ulong ( in unsigned long value) raises (TypeMismatch, InvalidValue)
void | insert_float ( in float value) raises (TypeMismatch, InvalidValue)
void | insert_double ( in double value) raises (TypeMismatch, InvalidValue)
void | insert_string ( in string value) raises (TypeMismatch, InvalidValue)
void | insert_reference (in Object value) raises (TypeMismatch, InvalidValue)
void | insert_typecode (in CORBA::TypeCode value) raises (TypeMismatch, InvalidValue)
void | insert_longlong (in long long value) raises (TypeMismatch, InvalidValue)
void | insert_ulonglong (in unsigned long long value) raises (TypeMismatch, InvalidValue)
void | insert_longdouble (in long double value) raises (TypeMismatch, InvalidValue)
void | insert_wchar ( in wchar value) raises (TypeMismatch, InvalidValue)
void | insert_wstring (in wstring value) raises (TypeMismatch, InvalidValue)
void | insert_any ( in any value) raises (TypeMismatch, InvalidValue)
void | insert_dyn_any (in DynAny value) raises (TypeMismatch, InvalidValue)
void | insert_val ( in CORBA::ValueBase value) raises (TypeMismatch, InvalidValue)
boolean | get_boolean () raises (TypeMismatch, InvalidValue)
octet | get_octet () raises (TypeMismatch, InvalidValue)
char | get_char () raises (TypeMismatch, InvalidValue)
short | get_short () raises (TypeMismatch, InvalidValue)
unsigned short | get_ushort () raises (TypeMismatch, InvalidValue)
long | get_long () raises (TypeMismatch, InvalidValue)
unsigned long | get_ulong () raises (TypeMismatch, InvalidValue)
float | get_float () raises (TypeMismatch, InvalidValue)
double | get_double () raises (TypeMismatch, InvalidValue)
string | get_string () raises (TypeMismatch, InvalidValue)
Object | get_reference () raises (TypeMismatch, InvalidValue)
CORBA::TypeCode | get_typecode () raises (TypeMismatch, InvalidValue)
long long | get_longlong () raises (TypeMismatch, InvalidValue)
unsigned long long | get_ulonglong () raises (TypeMismatch, InvalidValue)
long double | get_longdouble () raises (TypeMismatch, InvalidValue)
wchar | get_wchar () raises (TypeMismatch, InvalidValue)
wstring | get_wstring () raises (TypeMismatch, InvalidValue)
any | get_any () raises (TypeMismatch, InvalidValue)
DynAny | get_dyn_any () raises (TypeMismatch, InvalidValue)
CORBA::ValueBase | get_val () raises (TypeMismatch, InvalidValue)
boolean | seek (in long index)
void | rewind ()
boolean | next ()
unsigned long | component_count ()
DynAny | current_component () raises (TypeMismatch)

## Member Function Documentation

void DynamicAny::DynAny::assign ( | in DynAny dyn_any ) raises (TypeMismatch)

unsigned long DynamicAny::DynAny::component_count ( | )

DynAny DynamicAny::DynAny::copy ( | )

DynAny DynamicAny::DynAny::current_component ( | ) raises (TypeMismatch)

void DynamicAny::DynAny::destroy ( | )

boolean DynamicAny::DynAny::equal ( | in DynAny dyn_any )

void DynamicAny::DynAny::from_any ( | in any value ) raises (TypeMismatch, InvalidValue)

any DynamicAny::DynAny::get_any ( | ) raises (TypeMismatch, InvalidValue)

boolean DynamicAny::DynAny::get_boolean ( | ) raises (TypeMismatch, InvalidValue)

char DynamicAny::DynAny::get_char ( | ) raises (TypeMismatch, InvalidValue)

double DynamicAny::DynAny::get_double ( | ) raises (TypeMismatch, InvalidValue)

DynAny DynamicAny::DynAny::get_dyn_any ( | ) raises (TypeMismatch, InvalidValue)

float DynamicAny::DynAny::get_float ( | ) raises (TypeMismatch, InvalidValue)

long DynamicAny::DynAny::get_long ( | ) raises (TypeMismatch, InvalidValue)

long double DynamicAny::DynAny::get_longdouble ( | ) raises (TypeMismatch, InvalidValue)

long long DynamicAny::DynAny::get_longlong ( | ) raises (TypeMismatch, InvalidValue)

octet DynamicAny::DynAny::get_octet ( | ) raises (TypeMismatch, InvalidValue)

Object DynamicAny::DynAny::get_reference ( | ) raises (TypeMismatch, InvalidValue)

short DynamicAny::DynAny::get_short ( | ) raises (TypeMismatch, InvalidValue)

string DynamicAny::DynAny::get_string ( | ) raises (TypeMismatch, InvalidValue)

CORBA::TypeCode DynamicAny::DynAny::get_typecode ( | ) raises (TypeMismatch, InvalidValue)

unsigned long DynamicAny::DynAny::get_ulong ( | ) raises (TypeMismatch, InvalidValue)

unsigned long long DynamicAny::DynAny::get_ulonglong ( | ) raises (TypeMismatch, InvalidValue)

unsigned short DynamicAny::DynAny::get_ushort ( | ) raises (TypeMismatch, InvalidValue)

CORBA::ValueBase DynamicAny::DynAny::get_val ( | ) raises (TypeMismatch, InvalidValue)

wchar DynamicAny::DynAny::get_wchar ( | ) raises (TypeMismatch, InvalidValue)

wstring DynamicAny::DynAny::get_wstring ( | ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_any ( | in any value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_boolean ( | in boolean value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_char ( | in char value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_double ( | in double value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_dyn_any ( | in DynAny value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_float ( | in float value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_long ( | in long value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_longdouble ( | in long double value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_longlong ( | in long long value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_octet ( | in octet value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_reference ( | in Object value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_short ( | in short value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_string ( | in string value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_typecode ( | in CORBA::TypeCode value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_ulong ( | in unsigned long value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_ulonglong ( | in unsigned long long value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_ushort ( | in unsigned short value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_val ( | in CORBA::ValueBase value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_wchar ( | in wchar value ) raises (TypeMismatch, InvalidValue)

void DynamicAny::DynAny::insert_wstring ( | in wstring value ) raises (TypeMismatch, InvalidValue)

boolean DynamicAny::DynAny::next ( | )

void DynamicAny::DynAny::rewind ( | )

boolean DynamicAny::DynAny::seek ( | in long index )

any DynamicAny::DynAny::to_any ( | )

CORBA::TypeCode DynamicAny::DynAny::type ( | )

The documentation for this interface was generated from the following file:

- DynamicAny.pidl